## ytdl-gui-dmo 4.4.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(youtubedl-gui LANGUAGES CXX)

set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

INCLUDE(GNUInstallDirs)
INCLUDE(CheckIPOSupported)

#Set default prefix to /usr
if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
  set(CMAKE_INSTALL_PREFIX "/usr")
endif()


add_definitions(-DYTDL_GUI_DATA_DIR="${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}/ytdl-gui/")

# check if compiler supports link time optmizations and enable it
if(LINUX)
  check_ipo_supported(RESULT result)
    if (CMAKE_COMPILER_IS_GNUCXX) # clang lto with qt is broken.
            if(result)
            set(CMAKE_INTERPROCEDURAL_OPTIMIZATION TRUE)
        endif()
    endif()
endif()


# uninstall target
if(NOT TARGET uninstall)
  configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

  add_custom_target(uninstall
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
endif()

find_package(QT NAMES Qt6 COMPONENTS Widgets REQUIRED)
message(STATUS "Building using Qt version: ${QT_VERSION}")
find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Widgets REQUIRED)

set(SRC
    #headers
    src/canceldownload.h
    src/downloadprogress.h
    src/downloadstatus.h
    src/mainactions.h
    src/maincommand.h
    src/ytdl.h
    src/readconfig.h

    #cpp
    src/canceldownload.cpp
    src/downloadprogress.cpp
    src/downloadstatus.cpp
    src/main.cpp
    src/mainactions.cpp
    src/maincommand.cpp
    src/ytdl.cpp
    src/readconfig.cpp

    #ui
    src/downloadstatus.ui
    src/ytdl.ui)

if(${QT_VERSION_MAJOR} GREATER_EQUAL 6)
    qt_add_executable(youtubedl-gui
	    ${SRC}
    )
else()
    if(ANDROID)
        add_library(youtubedl-gui SHARED
		${SRC}
        )
    else()
        add_executable(youtubedl-gui
		${SRC}
        )
    endif()
endif()


target_link_libraries(youtubedl-gui PRIVATE Qt${QT_VERSION_MAJOR}::Widgets)

install(TARGETS youtubedl-gui RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
set(TRANSLATIONS
    locales/ytdl-gui_fr.qm
    locales/ytdl-gui_de.qm
    locales/ytdl-gui_et.qm
    locales/ytdl-gui_es.qm
    locales/ytdl-gui_zh_Hans.qm
    # Add other translation files here
)

foreach(translation_file ${TRANSLATIONS})
    install(FILES ${translation_file} DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/ytdl-gui/locales)
endforeach()

install(FILES icons/16x16.png
    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/16x16/apps
    RENAME page.codeberg.impromptux.ytdl-gui.png)
install(FILES icons/32x32.png
    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/32x32/apps
    RENAME page.codeberg.impromptux.ytdl-gui.png)
install(FILES icons/64x64.png
    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/64x64/apps
    RENAME page.codeberg.impromptux.ytdl-gui.png)
install(FILES icons/128x128.png
    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/128x128/apps
    RENAME page.codeberg.impromptux.ytdl-gui.png)
install(FILES icons/256x256.png
    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/256x256/apps
    RENAME page.codeberg.impromptux.ytdl-gui.png)
install(FILES icons/512x512.png
    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/512x512/apps
    RENAME page.codeberg.impromptux.ytdl-gui.png)

install(FILES resources/youtubedl-gui.desktop
    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications
    RENAME page.codeberg.impromptux.ytdl-gui.desktop)

## ytdl-gui-dmo 2.5

=== debian/changelog ===
ytdl-gui-dmo (2.5-dmo1+deb11u1) oldstable; urgency=medium

  * Switch to yt-dlp instead of youtube-dl

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 05 Jul 2023 07:58:42 +0200

ytdl-gui-dmo (2.5-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 05 May 2021 11:40:57 +0200

=== debian/control ===
Source: ytdl-gui-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/JaGoLi/ytdl-gui
Rules-Requires-Root: no
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), cmake, ninja-build, qtbase5-dev, quilt

Package: youtubedl-gui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, yt-dlp
Description: GUI on yt-dlp (ie, youtube-dl) to download videos from a variety of sites
 Graphical interface to yt-dlp, the CLI for downloading videos from a
 variety of sites. Allows control of format, resolution, audio and video
 codecs, etc.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Scmake+ninja --with quilt

override_dh_auto_test:

=== debian/watch ===
version=4

https://github.com/JaGoLi/ytdl-gui/releases \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@

## ytdl-gui-dmo 3.0

=== debian/changelog ===
ytdl-gui-dmo (3.0-dmo3) unstable; urgency=medium

  * Rebuild for time_t

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 16 Mar 2024 23:38:26 +0100

ytdl-gui-dmo (3.0-dmo2) unstable; urgency=medium

  * Switch to yt-dlp instead of youtube-dl

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 04 Jul 2023 19:16:46 +0200

ytdl-gui-dmo (3.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 30 Aug 2021 17:57:32 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/JaGoLi/ytdl-gui
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13), cmake, ninja-build, qtbase5-dev, quilt
 
 Package: youtubedl-gui

=== debian/watch ===
version=4

https://github.com/JaGoLi/ytdl-gui/tags \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@

## ytdl-gui-dmo 4.4.1

=== debian/changelog ===
ytdl-gui-dmo (4.4.1-dmo1) unstable; urgency=medium

  * New upstream release.
  * Switch to new upstream code at codeberg

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 23 Feb 2026 08:14:45 +0100

ytdl-gui-dmo (3.0-dmo3+b1) unstable; urgency=medium

  * Rebuild for PAC/BTI support; no source changes.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 03 Nov 2024 12:21:33 +0100

=== debian/control ===
Source: ytdl-gui-dmo
Section: video
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://codeberg.org/impromptux/ytdl-gui
Standards-Version: 4.7.3
Build-Depends: debhelper-compat (= 13), cmake, ninja-build, qt6-base-dev,

Package: youtubedl-gui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, yt-dlp,
Description: GUI on yt-dlp (ie, youtube-dl) to download videos from a variety of sites
 Graphical interface to yt-dlp, the CLI for downloading videos from a
 variety of sites. Allows control of format, resolution, audio and video
 codecs, etc.

## ytdl-gui-dmo 4.4.2

=== debian/changelog ===
ytdl-gui-dmo (4.4.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 27 Feb 2026 17:07:14 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Scmake+ninja

override_dh_auto_test:

=== debian/watch ===
Version: 5

Source: https://codeberg.org/impromptux/ytdl-gui/tags
Matching-Pattern: (?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@
